org.optaplanner.core.config.heuristic.selector.entity

## Enum EntitySorterManner

- java.lang.Object
- - java.lang.Enum<EntitySorterManner>
  - - org.optaplanner.core.config.heuristic.selector.entity.EntitySorterManner

- All Implemented Interfaces:
    Serializable, Comparable<EntitySorterManner>

      public enum EntitySorterManner
      extends Enum<EntitySorterManner>

  The manner of sorting `PlanningEntity` instances.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECREASING_DIFFICULTY`
    `DECREASING_DIFFICULTY_IF_AVAILABLE`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntitySorterManner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntitySorterManner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final EntitySorterManner NONE

    - #### DECREASING_DIFFICULTY

          public static final EntitySorterManner DECREASING_DIFFICULTY

    - #### DECREASING_DIFFICULTY_IF_AVAILABLE

          public static final EntitySorterManner DECREASING_DIFFICULTY_IF_AVAILABLE

  - ### Method Detail

    - #### values

          public static EntitySorterManner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntitySorterManner c : EntitySorterManner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntitySorterManner valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.